# oops-repository is Copyright 2011 Canonical Ltd.
#
# Canonical Ltd ("Canonical") distributes the oops-repository source code under
# the GNU Affero General Public License, version 3 ("AGPLv3"). See the file
# LICENSE in the source tree for more information.

"""The schema for oopsrepository."""

from pycassa.system_manager import (
    LONG_TYPE,
    SystemManager,
    UTF8_TYPE,
    )

import config
from oopsrepository.cassandra import workaround_1779

if __name__ == '__main__':
    create(config.get_config())


def create(config):
    """Create a schema.

    :param config: The config (per oopsrepository.config.get_config) for
        oopsrepository.
    """
    keyspace = config['keyspace']
    mgr = SystemManager()
    workaround_1779(mgr.create_column_family, keyspace, 'OOPS',
        comparator_type=UTF8_TYPE)
    workaround_1779(mgr.alter_column, keyspace, 'OOPS', 'date', LONG_TYPE)
