# oops-repository is Copyright 2011 Canonical Ltd.
#
# Canonical Ltd ("Canonical") distributes the oops-repository source code under
# the GNU Affero General Public License, version 3 ("AGPLv3"). See the file
# LICENSE in the source tree for more information.

import time

from fixtures import EnvironmentVariableFixture
import pycassa
from testtools import TestCase

from oopsrepository import schema
from oopsrepository.testing.cassandra import TemporaryKeyspace


class TestCreateSchema(TestCase):

    def test_creates_columnfamily(self):
        keyspace = self.useFixture(TemporaryKeyspace()).keyspace
        config = dict(keyspace=keyspace)
        schema.create(config)
        pool = pycassa.connect(keyspace)
        cf = pycassa.ColumnFamily(pool, 'OOPS')
        cf.insert('key', {"date":time.time(), "URL":'a bit boring'})
